from __future__ import absolute_import

import os

from celery import Celery
from celery.exceptions import SoftTimeLimitExceeded

os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'main.settings')
from django.conf import settings # noqa

app = Celery('runner')

# Using a string here means the worker will not have to
# pickle the object when using Windows.
app.config_from_object('runner.celeryconfig')
#app.config_from_object('django.conf:settings')
#app.autodiscover_tasks(lambda: settings.INSTALLED_APPS)

@app.task(bind=True)
def debug_task(self):
        print('Request: {0!r}'.format(self.request))

if __name__ == '__main__':
    app.start()
